<script setup lang="ts">
import { VoteInformation } from '@/scripts/types'
import { useDataStore } from '@/store/data'
import { PropType } from 'vue'

defineProps({
  vote: {
    type: Object as PropType<VoteInformation>,
    required: true
  }

})

const data = useDataStore()

</script>

<template >
    <div class="my-4 py-2" v-if="vote != null">
        <p class="text-xl my-2">
            Paramètres du vote
        </p>
        <div class="flex items-center">
            <p >
                Durée du vote: {{ Math.round(vote.duration / 1000) }}s
            </p>
        </div>
        <div class="flex items-center">
            <p >
                Clé scrutateur: {{ vote.teller_pubkey ? (vote.teller_pubkey === data.tellerKeys?.pubkey ? 'Ok' : 'Différente' ) : '-' }}
            </p>
        </div>
    </div>

</template>
